#!/bin/bash

#############################################################
#### Cribl init.d script 
#############################################################

# change these varibles to match your env
CRIBL_HOME="/opt/cribl"
USER="root"

###############

# REDHAT chkconfig header

# chkconfig: - 58 74
# description: script for starting Cribl LogStream on boot.
### BEGIN INIT INFO
# Provides: cribl
# Required-Start:    $network $remote_fs $local_fs
# Required-Stop:     $network $remote_fs $local_fs
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: start and stop Cribl LogStream
# Description: Cribl LogStream Process
### END INIT INFO

###############

USAGE="Usage: $0 {start|stop|restart|status} [--force]"
FORCE_ARG=""

if [ "$(id -u)" != "0" ]; then
   echo "This script must be run as root" 1>&2
   exit 1
fi

start_app() {
    echo "NODE_ENV=${NODE_ENV} ${CRIBL_HOME}/bin/cribl.sh start ${FORCE_ARG}" | sudo -i -u $USER
}

stop_app() {
    ${CRIBL_HOME}/bin/cribl.sh stop ${FORCE_ARG}
}

status_app() {
    ${CRIBL_HOME}/bin/cribl.sh status ${FORCE_ARG}
}

case "$2" in
    --force)
        FORCE_ARG="--force"
    ;;

    "")
    ;;

    *)
        echo $USAGE
        exit 1
    ;;
esac

case "$1" in
    start)
        start_app
    ;;

    stop)
        stop_app
    ;;

    restart)
        stop_app
        start_app
    ;;

    status)
        status_app
    ;;

    *)
        echo $USAGE
        exit 1
    ;;
esac

exit $?
